Bug 1692560 - Review Request: postgresqltuner - Script to analyze PostgreSQL database configuration and tuning
Summary: Review Request: postgresqltuner - Script to analyze PostgreSQL database confi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-25 21:14 UTC by Mikel Olasagasti Uranga
Modified: 2020-08-29 16:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-23 01:03:35 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Mikel Olasagasti Uranga 2019-03-25 21:14:09 UTC
Spec URL: https://mikel.olasagasti.info/tmp/fedora/postgresqltuner.spec
SRPM URL: https://mikel.olasagasti.info/tmp/fedora/postgresqltuner-1.0.1-3.fc29.src.rpm
Description: postgresqltuner is a simple script to analyze your PostgreSQL database. It is inspired by mysqltuner.pl
Fedora Account System Username: mikelo2

copr available at: https://copr.fedorainfracloud.org/coprs/mikelo2/postgresqltuner/

Comment 1 Mikel Olasagasti Uranga 2019-03-25 21:24:50 UTC
First package - Adding FE-NEEDSPONSOR blocker

Comment 2 Robert-André Mauchin 🐧 2019-03-29 16:05:36 UTC
 - Use macros and better name for your archive:

Source0: https://github.com/jfcoz/postgresqltuner/archive/%{version}/%{name}-%{version}.tar.gz

 - use perl() for all your dep please:


Requires: perl(DBI)
Requires: perl(DBD::Pg)
Requires: perl(Term::ANSIColor)

 - Add all BR:

Requires: perl(Getopt::Long)

Comment 3 Mikel Olasagasti Uranga 2019-03-29 19:00:54 UTC
Thanks for reviewing Robert-André. New spec and src.rpm:

Spec URL: https://mikel.olasagasti.info/tmp/fedora/postgresqltuner.spec
SRPM URL: https://mikel.olasagasti.info/tmp/fedora/postgresqltuner-1.0.1-4.fc29.src.rpm

Comment 4 Robert-André Mauchin 🐧 2019-03-29 19:44:14 UTC
Package approved.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v3 or later)". 7 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/postgresqltuner/review-
     postgresqltuner/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: postgresqltuner-1.0.1-4.fc31.noarch.rpm
          postgresqltuner-1.0.1-4.fc31.src.rpm
postgresqltuner.noarch: W: spelling-error %description -l en_US mysqltuner -> mysteriousness
postgresqltuner.noarch: W: no-manual-page-for-binary postgresqltuner
postgresqltuner.src: W: spelling-error %description -l en_US mysqltuner -> mysteriousness
postgresqltuner.src: W: no-%build-section
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



You will still need to find a sponsor.

Comment 5 Ankur Sinha (FranciscoD) 2020-08-06 09:48:46 UTC
I've sponsored Mikel now.

Welcome to the packager team, Mikel. Please ensure that you are subscribed to the following mailing lists:

- https://lists.fedoraproject.org/archives/list/devel-announce%40lists.fedoraproject.org/
- https://lists.fedoraproject.org/archives/list/devel-%40lists.fedoraproject.org/

and, please help other packagers with their reviews too. You can find the list of current reviews here:

https://fedoraproject.org/PackageReviewStatus/

Please e-mail me, or the devel list, if anything at all comes up!

For this package, you can continue from here:
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner

Cheers,
Ankur

Comment 6 Mikel Olasagasti Uranga 2020-08-10 21:44:24 UTC
Hi Robert,

I've a sponsor now and I tried to `request_repo` for this package, but it complains that 'review was approved over 60 days ago'. Can you re-approve this package?

Comment 7 Robert-André Mauchin 🐧 2020-08-12 23:38:25 UTC
(In reply to Mikel Olasagasti Uranga from comment #6)
> Hi Robert,
> 
> I've a sponsor now and I tried to `request_repo` for this package, but it
> complains that 'review was approved over 60 days ago'. Can you re-approve
> this package?

Sorry I'm deep into Go packaging, I didn't check my Bugzilla mail.

Comment 8 Gwyn Ciesla 2020-08-13 13:17:17 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/postgresqltuner

Comment 9 Fedora Update System 2020-08-14 13:34:56 UTC
FEDORA-2020-40c75bb11a has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-40c75bb11a

Comment 10 Fedora Update System 2020-08-14 13:59:28 UTC
FEDORA-EPEL-2020-d884e10277 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-d884e10277

Comment 11 Fedora Update System 2020-08-14 13:59:57 UTC
FEDORA-2020-9b95b9e6e7 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9b95b9e6e7

Comment 12 Fedora Update System 2020-08-14 14:05:45 UTC
FEDORA-EPEL-2020-c998efb60b has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-c998efb60b

Comment 13 Fedora Update System 2020-08-14 14:13:36 UTC
FEDORA-EPEL-2020-2f9876b6cf has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2f9876b6cf

Comment 14 Fedora Update System 2020-08-15 01:14:20 UTC
FEDORA-2020-9b95b9e6e7 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-9b95b9e6e7 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9b95b9e6e7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-08-15 01:29:16 UTC
FEDORA-EPEL-2020-2f9876b6cf has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2f9876b6cf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2020-08-15 01:32:32 UTC
FEDORA-EPEL-2020-c998efb60b has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-c998efb60b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2020-08-15 01:34:34 UTC
FEDORA-EPEL-2020-d884e10277 has been pushed to the Fedora EPEL 6 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-d884e10277

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2020-08-15 01:52:40 UTC
FEDORA-2020-40c75bb11a has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-40c75bb11a \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-40c75bb11a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2020-08-23 01:03:35 UTC
FEDORA-2020-40c75bb11a has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2020-08-23 01:21:12 UTC
FEDORA-2020-9b95b9e6e7 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2020-08-29 15:52:47 UTC
FEDORA-EPEL-2020-2f9876b6cf has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2020-08-29 15:56:21 UTC
FEDORA-EPEL-2020-c998efb60b has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2020-08-29 16:10:28 UTC
FEDORA-EPEL-2020-d884e10277 has been pushed to the Fedora EPEL 6 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.